package com.ruoyi.system.mapper.project;

import com.ruoyi.system.domain.project.BmDeptPlan;
import com.ruoyi.system.domain.vo.BmDeptPlanVo;

import java.util.List;


/**
 *  部门招商计划Mapper接口
 * 
 * @author ruoyi
 * @date 2021-03-09
 */
public interface BmDeptPlanMapper
{
    /**
     * 查询 部门招商计划
     * 
     * @param id  部门招商计划ID
     * @return  部门招商计划
     */
    public BmDeptPlan selectBmDeptPlanById(Long id);

    /**
     * 查询 部门招商计划列表
     * 
     * @param bmDeptPlan  部门招商计划
     * @return  部门招商计划集合
     */
    public List<BmDeptPlan> selectBmDeptPlanList(BmDeptPlan bmDeptPlan);

    /**
     * 新增 部门招商计划
     * 
     * @param bmDeptPlan  部门招商计划
     * @return 结果
     */
    public int insertBmDeptPlan(BmDeptPlan bmDeptPlan);

    /**
     * 修改 部门招商计划
     * 
     * @param bmDeptPlan  部门招商计划
     * @return 结果
     */
    public int updateBmDeptPlan(BmDeptPlan bmDeptPlan);

    /**
     * 删除 部门招商计划
     * 
     * @param id  部门招商计划ID
     * @return 结果
     */
    public int deleteBmDeptPlanById(Long id);

    /**
     * 批量删除 部门招商计划
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteBmDeptPlanByIds(Long[] ids);

    /**
     * 首页-单位榜单
     * @return
     */
    public List<BmDeptPlanVo> selectUnitList();

    /**
     * 首页-单位榜单资金
     * @return
     */
    public List<BmDeptPlanVo> selectUnitAmountList();

    /**
     * 统计分析-合同金额
     * @return
     */
    public List<BmDeptPlanVo> selectTotAmtList();

    /**
     * 统计分析-在建项目-柱状图
     * @return
     */
    public List<BmDeptPlanVo> selectProjectUnitAmountEharts(String year);

    /**
     * 统计分析-入归榜单
     * >8 根据字典值来判断是否是已经入归(项目完成)状态
     * @return
     */
    public List<BmDeptPlanVo> selectInvestmentList();

    /**
     * 统计分析-投产项目-柱状图
     * @param year
     * @return
     */
    public List<BmDeptPlanVo> selectProjectInvestmentEharts(String year);


}
